extends ../dashboard-layout

block page-header
    h1.h2 Visualizar notícia

block main
    .row
        .col-12
            .card
                .card-body
                    p.small.text-muted.card-text=noticia.site.titulo + " - "
                        =noticia.regiaoFormatada() + " - "
                        =moment(noticia.createdAt).format('DD/MM/YYYY HH[h]mm') + " - "
                        a(href=noticia.url)=noticia.url
                    h2.h3.card-title=noticia.titulo
                    h3.h5.card-text.text-muted=noticia.subtitulo
                    .btn-group
                        a.btn.btn-success(href="/admin/noticias/update/" + noticia._id + "?redirect=" + viewUrlRedirect)
                            i.fa.fa-sync
                            |  Atualizar

                        button.btn.btn-danger(onclick="excluir('/admin/noticias/remove/" + noticia._id + "', '" + urlRedirect + "')", title="Excluir")
                            i.fa.fa-times
                            |  Excluir
                        button.btn.btn-dark(type='button', data-toggle='collapse',
                        data-target='#collapseParagrafos' + noticia._id, aria-expanded='false',
                        aria-controls='collapseExample')
                            i.fa.fa-arrow-down
                            |  Ver parágrafos
                    hr
                    .paragrafos.collapse(id="collapseParagrafos" + noticia._id)
                        if (noticia.imagem)
                            .text-center
                                image(src='/imagem/' + noticia.id)
                        each paragrafo in noticia.paragrafos
                            p.card-text!=paragrafo

block scripts
    script(src="/js/admin/crud-functions.js")
